Groovy 1.7.0

## groovy.model
Class DefaultTableModel.MyTableColumnModel

    java.lang.Object
      javax.swing.table.DefaultTableColumnModel
          groovy.model.DefaultTableModel.MyTableColumnModel

    class DefaultTableModel.MyTableColumnModel
    extends DefaultTableColumnModel

Constructor Summary
`DefaultTableModel.MyTableColumnModel()`

Method Summary
`List` | `getColumnList()`
`void` | `moveColumn(int columnIndex, int newIndex)`
`void` | `removeColumn(TableColumn column)`
`void` | `renumberTableColumns()`

Methods inherited from class DefaultTableColumnModel

getListeners, propertyChange, getColumnCount, getColumn, addColumn, addColumnModelListener, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnSelectionAllowed, getColumns, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, moveColumn, removeColumn, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, getColumnModelListeners, valueChanged, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DefaultTableModel.MyTableColumnModel

    DefaultTableModel.MyTableColumnModel()

Method Detail

### getColumnList

    public List getColumnList()

### moveColumn

    public void moveColumn(int columnIndex, int newIndex)

### removeColumn

    public void removeColumn(TableColumn column)

### renumberTableColumns

    public void renumberTableColumns()

Copyright © 2003-2009 The Codehaus. All rights reserved.